//
//  AppDelegate.h
//  HA7 logger mini04
//  Copyright(C)2012-2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Description:
//          This is a road vhiecles data logger for the HONDA ACTY-TRUCK.
//          The data is collected with the bluetooth.
//          The record place is iPhone "App File Share".
//          File format is CSV(Camma Separated Values), First line is item name, daily file.
//          Live meter view, fuel efficient, speed, RPM...
//          History view, fuel efficient, used fuel, distance.
//
//    Vhiecle:
//          HONDA ACTY TRUCK "GBD-HA7" only
//
//    Hardware interface:
//          OBD2 to Bluetooth converter
//          Not a product (Self build)
//              in: OBD2 ISO9141-2 Protocol
//              out: Bluetooth4.0: Attribute protocol, GATT profile
//          more information http://www.suzume-syako.jp/personal/
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.03.25 v0.0  First cording
//    2013.05.04 v0.4  Commit
//
#import <UIKit/UIKit.h>
#import "ObdDataLogger.h"

@interface AppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow       *window;
@property (strong, nonatomic) ObdDataLogger  *obd;

@end
